"Mathematics is the language in which God has written the universe..."  
--Nicholas Copernicus

I fell in love with word-smithing in the eleventh grade after reading Shakespeare's sonnets because Iambic pentameter is the edge effect where the languages of mathematics and English meet. I thought this was the coolest thing in the world. This inspired me to write my own Sonnets. I even gave one to my hopeless crush. She wasn't as impressed, but in retrospect, poetry was my first love.

I had some flings with fiction, and a few blogs, and in 2014 fell in love with a younger, sexier form of mathematical poetry--Bitcoin: A Peer-To-Peer Electronic Cash System. She taught me what Copernicus observed so long ago. Mathematics is the language of the universe. When I first read it, I did not understand most of the math. I had no idea what a "digital signature" was. I never had the word hash without the words corned beef in front of it, but I believed **fractional reserve banking and bailouts helped the rich get richer and the poor get poorer**. My limited background knowledge from messing around with Napster and BitTorrent in my younger years gave me enough background knowledge to understand that Satoshi's white paper was an important historical document. He wrote in plain English, math, and C+ explaining Bitcoin in three languages like the Rosetta Stone.

"To implement a distributed timestamp server on a Peer-To-Peer basis we will need to use a proof-of-work system similar to Adam Back's Hashcash, rather than newspaper or Usenet posts."  
--Satoshi Nakamoto, Bitcoin: A Peer To Peer Electronic Cash System

![Bitcoin White Paper](https://i.nostr.build/KKZnL41ElbcpGd3V.jpg)

## Proof Of Poetry

Adam Back discovered hashcash. Satoshi cited this in the White paper. Despite its name, hashcash was not a "cryptocurrency." Hashcash is more like a digital stamp. Stamps have a cost, of course, and so does hashcash. We can't hand a piece of paper with a portrait of some dude wearing a wig to a computer, of course. We must pay for electronic stamps with the only fungible currency computers can use, electricity. This makes electricity the de facto currency for computers. Therefore, you must pay for the hashcash stamp with electricity. As anyone who has been shocked by their electricity bill in the summer knows, electricity has a real cost. The beauty of hash cash is you wouldn't notice a difference in your electric bill if you sent a dozen emails a month, but if you spammed the whole World Wide Web with a chain letter, your electric bill will drain your bank account. Hashcash is a stamp you pay for with computational power, which requires your computer to work. That work can only be paid for with electricity.

Proof Of Work is a little different on hashcash than bitcoin because it uses SHA1 and bitcoin uses SHA256, but here's an example of how it works from hashcash.org:  
When you type this into the command line:

`echo -n 0:030626:adam@cypherspace.org:6470e06d773e05a8 | sha1`

The computer will show you this answer:  
`00000000c70db7389f241b8f441fcf068aead3f0`

See those C00l-looking zeros in the front? Satoshi called them “zero bits.” Whenever someone sends a bitcoin transaction, it goes to the mempool. This is like Purgatory for bitcoin transactions. A bitcoin doesn't get its wings right away like when a bell rings on It's A Wonderful Life. It needs to be confirmed like a Catholic. If it's not confirmed, it does not reach heaven. Transactions don't have an actual afterlife in the clouds, These transactions are trying to get into the precious, scarce block space of the bitcoin timechain. Miners include different transactions in a block template and add a nonce, a number used once...I'm gonna stop myself here before readers die of boredom. It's just math. If you're interested in seeing this math in action play around with [this website](https://xorbin.com/). You can type whatever you want. The math works on all [ASCII](https://en.wikipedia.org/wiki/ASCII) characters because each letter or symbol represents a number.

If we hash the code from hashcash.org above using the SHA1 calculator it gives us this result.

![hashcash example](https://i.nostr.build/A5nEsVXh4hsaeKmz.png)

If we add a question mark to this text, we get this result.

![the same thing with ?](https://i.nostr.build/QlWTMFzRPH32nthY.png)

We see a different 40-character combination. This is the math used to verify data in cybersecurity, and bitcoin is no different. To change the math requires changing every single one of these transactions since January 3rd, 2009. How horrifying would your electric bill need to be to accomplish this? I don't know, but It's not likely to happen since honest miners are rewarded with fees, These fees are like tribute transactions must pay to get out of purgatory, Some transactions pay more, and some try to pay less. The miners are incentivized to let the more expensive transactions to go through the pearly white gates of the bitcoin time chain.

Adam Back's email is not a transaction, but those leading zero bits are the backbone of the bitcoin time chain. If you hash my full legal name with SHA1, we get this result `02c53da577460a2e8eead6e85da88199c64eb1bd`. If we hash it with SHA256, I see two zero bits. `0024f0a28bf81851ed8490c4e87173f8790bd9d8ea9423442114d25ad7137f51` Pretty cool, right?

These zerobits are also found in the bitcoin timechain. Look at the blocks 87402 through 874039:

- https://mempool.marc26z.com/block/0000000000000000000252449e143c01d95b535c7f7a5aa0c321d689ee3bfcb7
- https://mempool.marc26z.com/block/000000000000000000020ce9cb6d4ad0363aa3992f40739e794a749cfbeea74d
- https://mempool.marc26z.com/block/0000000000000000000055c358a666b6188349787741e4d51a0f1d3c60e5f8ae
- https://mempool.marc26z.com/block/00000000000000000000f17afb5f4bcab00c75dea27659c9b596878763c83533
- https://mempool.marc26z.com/block/00000000000000000000c09a854ef63d9b99594997d3f0b8fa7229944b8ea3cb

Notice how each line a from an instance of mempool that I run from a [Start9](https://store.start9.com/) server has zerobits in the front. This is because bitcoin uses the same mathematical poetry that Adam Back Discovered in 1997. It's elegant, has a pattern, dare I say rhythm, and looks like a mathematical sonnet.

![shakespere sonnet 18](https://i.nostr.build/LFKPOX9jwC2a2l6W.png)

Look at those last two lines. Like zerobits repeated in the bitcoin timechain, the words So long are repeated at the beginning of lines 13 and 14. Bitcoin looks like poetry because bitcoin is poetry.

### The Difficulty Adjustment Is Poetic Justice

Whenever a miner produces a hash with the required amount of zerobits to send the transactions from the mempool purgatory to the place where the chosen math spirits hang out in the p2p distributed networking cloud, one more block is added to the timing chain. It is called a "chain" because the transactions are also hashed with the block header from the previous block. This verifies that each transaction is valid and easily verifiable with a single calculation which means it can be validated on cheap computers like Raspberry Pi's, but to be honest, you're better off with a better computer if you don't like pulling your hair out. The problem is money has an infinite demand. This is why the axiom, "You can never be too rich or too skinny" exists. Everybody loves money and is incentivized to get as much of it as they can as early as they can. This begs the question, how did Satoshi make sure Bitcoin is for everybody and not just the OG Cypherpunk nerds? He discovered the difficulty of adjustment.

At this point, most people have heard the story about Lazzlo buying two pizzas for 10,000 whole Bitcoin. It is often touted as the worst investment in history by the mainstream media, but journalists focus on the sensational and miss the subtleties of this story since they are experts in journalism, but not so well-versed in cryptography, a branch of mathematics that no one is taught in high school and only the nerdiest of nerds tend to learn it in college. The lesser-known part of the story is Lazzlo was also the first person to mine Bitcoin using ASIC chips. ASICs were used well by IT professionals well before bitcoin was discovered, but Lazzlo learned he could mine bitcoin much faster with these specialized chips than with a laptop. As the first person to figure this out, he must have had an extremely unfair advantage, so why couldn't he just mine all 21 Bitcoin in a matter of months? He was limited by the Difficulty Adjustment.

Here is how it works:- Every hour we can expect 6 blocks- Every Day we can expect 24x6 blocks or 144 blocks- Every week, we can expect 1008 blocks- Every two weeks, we can expect 2016 blocks.  
At the end of 2016 blocks, if blocks are mined faster than this, the math problem miners try to solve becomes more difficult to slow them back down to ten minutes. When Lazzlo ramped up his bitcoin production, he could only have an unfair advantage for 2016 blocks. Let's say he mined 90% of the block within the first week.  Good for him, but now his ASICS mining slows down because the blocks become much more difficult to mine. His fancy miner essentially must find more zerobits. It's a little more complex than this, but that's the non-boring gist of the story.

Without Satoshi's discovery of the difficulty adjustment, the Cypherpunks like Lazzlo would have mined all 21 million bitcoin before the first 210,000 blocks. The difficulty adjustment makes the distribution fair because the block subsidy limits how much Bitcoin can be created every ten minutes and that amount is cut in half every 4 years.

"Total circulation will be 21,000,000 coins. It'll be distributed to network nodes when they make blocks, with the amount cut in half every 4 years. First 4 years: 10,500,000 coins next 4 years: 5,250,000 coins next 4 years: 2,625,000 coins next 4 years: 1,312,500 coins etc... When that runs out, the system can support transaction fees if needed. It's based on open market competition, and there will probably always be nodes willing to process transactions for free."

-Satoshi Nakamoto

This is poetic justice.

###The Lindy Effect of Poetry

The OG version of the introduction to The Bitcoin Standard: The Decentralized Alternative To Central Banking by [Saifedean Ammous](/tmp/.mount_JoplinlaXpDb/resources/app.asar/npub1gdu7w6l6w65qhrdeaf6eyywepwe7v7ezqtugsrxy7hl7ypjsvxksd76nak), was written by Nassim Nicholas Taleb. Taleb has since abandoned bitcoin and Michael Saylor re-wrote the Introduction, but Nassim still has a great concept called the [Lindy Effect](https://en.wikipedia.org/wiki/Lindy_effect). The basic premise accordion to Wikipedia is, "The longer a period something has survived to exist or be used in the present, the longer its remaining life expectancy." This is often used by Bitcoiners as a steel-man argument against shitcoins. The argument goes, Bitcoin has been around the longest, so it is more likely to outlast the shitcoins. I don't disagree with that statement, but bitcoin is poetry and poetry has an even more pronounced Lindy Effect. Shakespeare died in 1616, yet his work survives over four centuries later. Those sonnets I fell in love with are older than the United States of America. Many of his clever phrases like "dead as a doornail" are part of the English vernacular. The English language would be much different if not for Shakespeare.

![bitcoin dead]([https://gitea.marc26z.com/marc/NostrPhotos/raw/branch/main/Screenshot from 2024-12-14 05-01-44.png](https://gitea.marc26z.com/marc/NostrPhotos/raw/branch/main/Screenshot%20from%202024-12-14%2005-01-44.png))

Bitcoin is almost 16 years old, but about every ten minutes, a new line of bitcoin poetry is written in the form of a bitcoin block. No one knows for sure, and I do not have a crystal ball, but it would not surprise me if nerds like me admire the poetry of bitcoin at block 21,000,000. This is every Bitcoiner's favorite number, but the 21 millionth block will be produced about 400 years from the Genesis Block. We, the ride-or-die bitcoin freaks, are optimistic.  We believe bitcoin will exist 400 years from now in the same way Shakespeare's Sonnets survive. Bitcoin lingo is already slipping into the wider English Vernacular. A decade ago, nobody but grumpy gold bugs and geeky bitcoiners used the term "fiat." Fiat is now part of everyday parlance. 

The mainstream media has reported that Bitcoin has died at least 477 times according to [99Bitcoins](https://99bitcoins.com/bitcoin-obituaries/). We, the people running bitcoin, disagree. We do not believe bitcoin will die anytime soon. We think it will last generations to come. We expect it to be around hundreds of years from now like Shakesphere's sonnets, maybe even thousands of years from now like the Rosetta Stone. That's why it has captured the imaginations of so many nerds. We are currently in an age where most people think of bitcoin as an investment, but bitcoin is not an investment like a stock or bond. Bitcoin is an investment like a masterpiece. It is more in the category of a Mona Lisa. Imagine if you had a page of Romeo and Juliet that was hand written by William Shakespeare. Best of all, you could verify that it was written by Shakespeare every ten minutes. How much would that be worth now that Shakespeare has been pushing daisies for over 400 years? What if you could send that page written by Shakespeare to anyone in the world in ten minutes? Do you think anyone would be interested in one of those pages?

Bitcoin is a poem being written as we speak. This poem, written in math and translated into C++ code, was written by Satoshi Nakamoto. It is 94.26% finished. Current estimates project this poem will be finished on March 1, 2138* You can buy about ten tiny pieces of this poem for about a penny.  Sure, you could have bought 100 small pieces of this poem for a penny 7 years ago, but we are still early in the scheme of things.

"**It** **might** make sense just to **get** **some** **in** **case** **it** **catches** **on**. If enough people think the same way, that becomes a self-fulfilling prophecy."

-- Satoshi Nakamoto

*[According to Clark Moody's Dashboard as of block [874,733](https://mempool.marc26z.com/block/000000000000000000019b4fe6949b13bfbb5327b73248805d64166cdc51f683)](https://bitcoin.clarkmoody.com/dashboard/)